WP3ContentParsingState Struct Reference

`#include <WP3ContentListener.h>`

## Public Member Functions

| WP3ContentParsingState ()
| ~WP3ContentParsingState ()

## Public Attributes

unsigned short | m_colSpan
unsigned short | m_rowSpan
librevenge::RVNGString | m_textBuffer
std::unique_ptr< RGBSColor > | m_cellFillColor
librevenge::RVNGString | m_noteReference
WPXTableList | m_tableList

## Private Member Functions

| WP3ContentParsingState (const WP3ContentParsingState &)
WP3ContentParsingState & | operator= (const WP3ContentParsingState &)

## Constructor & Destructor Documentation

## WP3ContentParsingState() [1/2]

WP3ContentParsingState::WP3ContentParsingState | ( |  | ) |

Referenced by operator=(), and WP3ContentParsingState().

## ~WP3ContentParsingState()

WP3ContentParsingState::~WP3ContentParsingState | ( |  | ) |

## WP3ContentParsingState() [2/2]

WP3ContentParsingState::WP3ContentParsingState | ( | const WP3ContentParsingState & |  | ) |

private

## Member Function Documentation

## operator=()

WP3ContentParsingState & WP3ContentParsingState::operator= | ( | const WP3ContentParsingState & |  | ) |

private

## Member Data Documentation

## m_cellFillColor

std::unique_ptr<RGBSColor> WP3ContentParsingState::m_cellFillColor

Referenced by WP3ContentParsingState().

## m_colSpan

unsigned short WP3ContentParsingState::m_colSpan

Referenced by WP3ContentParsingState().

## m_noteReference

librevenge::RVNGString WP3ContentParsingState::m_noteReference

Referenced by WP3ContentParsingState().

## m_rowSpan

unsigned short WP3ContentParsingState::m_rowSpan

Referenced by WP3ContentParsingState().

## m_tableList

WPXTableList WP3ContentParsingState::m_tableList

Referenced by WP3ContentParsingState().

## m_textBuffer

librevenge::RVNGString WP3ContentParsingState::m_textBuffer

Referenced by WP3ContentParsingState().

The documentation for this struct was generated from the following files:

- WP3ContentListener.h
- WP3ContentListener.cpp